# Method: groups.memberships.list

Lists the `Membership`s within a `Group`.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/{parent=groups/*}/memberships`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group}`. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/View`)`` The level of detail to be returned. If unspecified, defaults to `View.BASIC`. |
| `pageSize` | `integer` The maximum number of results to return. Note that the number of results returned may be less than this value even if there are more available results. To fetch all results, clients must continue calling this method repeatedly until the response no longer contains a `next_page_token`. If unspecified, defaults to 200 for `GroupView.BASIC` and to 50 for `GroupView.FULL`. Must not be greater than 1000 for `GroupView.BASIC` or 500 for `GroupView.FULL`. |
| `pageToken` | `string` The `next_page_token` value returned from a previous search request, if any. |

### Request body

The request body must be empty.

### Response body

The response message for `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/list#google.apps.cloudidentity.groups.v1.MembershipsService.ListMemberships`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "memberships": [ { object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships#Membership`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `memberships[]` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships#Membership`)`` The `Membership`s under the specified `parent`. |
| `nextPageToken` | `string` A continuation token to retrieve the next page of results, or empty if there are no more results available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).